---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libTestCheckedJniExceptionCheck.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Java_TestCheckedJniExceptionCheck_initMethodIds, symObjAddr: 0x0, symBinAddr: 0x3C10, symSize: 0x84 }
  - { offsetInCU: 0x3F, offset: 0x3F, size: 0x8, addend: 0x0, symName: __callable_method_id, symObjAddr: 0x5968, symBinAddr: 0x4000, symSize: 0x0 }
  - { offsetInCU: 0x69, offset: 0x69, size: 0x8, addend: 0x0, symName: __callable_nested_method_id, symObjAddr: 0x5970, symBinAddr: 0x4008, symSize: 0x0 }
  - { offsetInCU: 0xAC, offset: 0xAC, size: 0x8, addend: 0x0, symName: _Java_TestCheckedJniExceptionCheck_initMethodIds, symObjAddr: 0x0, symBinAddr: 0x3C10, symSize: 0x84 }
  - { offsetInCU: 0x191, offset: 0x191, size: 0x8, addend: 0x0, symName: _get_method_id, symObjAddr: 0x84, symBinAddr: 0x3C94, symSize: 0x174 }
  - { offsetInCU: 0x2BD2, offset: 0x2BD2, size: 0x8, addend: 0x0, symName: _Java_TestCheckedJniExceptionCheck_callJavaFromNative, symObjAddr: 0x1F8, symBinAddr: 0x3E08, symSize: 0xB4 }
  - { offsetInCU: 0x2CA3, offset: 0x2CA3, size: 0x8, addend: 0x0, symName: _Java_TestCheckedJniExceptionCheck_callNestedJavaFromNative, symObjAddr: 0x2AC, symBinAddr: 0x3EBC, symSize: 0xCC }
...
